diff --git a/docs/en_US/code_overview.rst b/docs/en_US/code_overview.rst
index dab80e88a..946a24c6c 100644
--- a/docs/en_US/code_overview.rst
+++ b/docs/en_US/code_overview.rst
@@ -212,5 +212,5 @@ Backform for generating properties/create dialog for selected node. We have
 divided each module in small chunks as much as possible. Not all javascript
 modules are required to be loaded (i.e. loading a javascript module for
 database will make sense only when a server node is loaded completely.) Please
-look at the the javascript files node.js, browser.js, menu.js, panel.js, etc for
+look at the javascript files node.js, browser.js, menu.js, panel.js, etc for
 better understanding of the code.
diff --git a/docs/en_US/debugger.rst b/docs/en_US/debugger.rst
index a149dc67b..6223e55e0 100644
--- a/docs/en_US/debugger.rst
+++ b/docs/en_US/debugger.rst
@@ -15,7 +15,7 @@ installation, and is distributed as part of Advanced Server.  You must have
 superuser privileges to use the debugger.
 
 Before using the debugger, you must modify the *postgresql.conf* file, adding
-the server-side debugger components to the the value of the
+the server-side debugger components to the value of the
 *shared_preload_libraries* parameter, for example:
 
   shared_preload_libraries = '$libdir/plugin_debugger'
diff --git a/docs/en_US/foreign_data_wrapper_dialog.rst b/docs/en_US/foreign_data_wrapper_dialog.rst
index 907625a06..a350655ab 100644
--- a/docs/en_US/foreign_data_wrapper_dialog.rst
+++ b/docs/en_US/foreign_data_wrapper_dialog.rst
@@ -53,7 +53,7 @@ Click the *Options* tab to continue.
 
 Use the fields in the *Options* tab to specify options:
 
-* Click the the *Add* icon (+) button to add an option/value pair for the
+* Click the *Add* icon (+) button to add an option/value pair for the
   foreign data wrapper. Supported option/value pairs will be specific to the
   selected foreign data wrapper.
 * Specify the option name in the *Option* field and provide a corresponding
diff --git a/docs/en_US/synonym_dialog.rst b/docs/en_US/synonym_dialog.rst
index 454528c1a..08e5862d2 100644
--- a/docs/en_US/synonym_dialog.rst
+++ b/docs/en_US/synonym_dialog.rst
@@ -29,7 +29,7 @@ In the definition panel, identify the target:
     :alt: Synonym dialog general tab
     :align: center
 
-* Use the drop-down listbox next to *Target Type* to select the the type of
+* Use the drop-down listbox next to *Target Type* to select the type of
   object referenced by the synonym.
 * Use the drop-down listbox next to *Target Schema* to select the name of the
   schema in which the object resides.
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/__init__.py
index 7ffcd5619..7b222448a 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/__init__.py
@@ -518,7 +518,7 @@ class CollationView(PGChildNodeView, SchemaDiffObjectCompare):
     @check_precondition
     def delete(self, gid, sid, did, scid, coid=None, only_sql=False):
         """
-        This function will delete existing the collation object
+        This function will delete the existing collation object
 
          Args:
            gid: Server Group ID
@@ -575,7 +575,7 @@ class CollationView(PGChildNodeView, SchemaDiffObjectCompare):
     @check_precondition
     def update(self, gid, sid, did, scid, coid):
         """
-        This function will updates existing the collation object
+        This function will updates the existing collation object
 
          Args:
            gid: Server Group ID
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/__init__.py
index cdfaf6555..159be81bc 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/__init__.py
@@ -498,7 +498,7 @@ class SynonymView(PGChildNodeView, SchemaDiffObjectCompare):
     @check_precondition
     def delete(self, gid, sid, did, scid, syid=None, only_sql=False):
         """
-        This function will delete existing the synonym object
+        This function will delete the existing synonym object
 
          Args:
            gid: Server Group ID
@@ -555,7 +555,7 @@ class SynonymView(PGChildNodeView, SchemaDiffObjectCompare):
     @check_precondition
     def update(self, gid, sid, did, scid, syid):
         """
-        This function will updates existing the synonym object
+        This function will updates the existing synonym object
 
          Args:
            gid: Server Group ID
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/columns/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/columns/__init__.py
index d75515398..73c1b07db 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/columns/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/columns/__init__.py
@@ -434,7 +434,7 @@ class ColumnsView(PGChildNodeView, DataTypeReader):
     @check_precondition
     def delete(self, gid, sid, did, scid, tid, clid=None):
         """
-        This function will updates existing the schema object
+        This function will updates the existing schema object
 
          Args:
            gid: Server Group ID
@@ -501,7 +501,7 @@ class ColumnsView(PGChildNodeView, DataTypeReader):
     @check_precondition
     def update(self, gid, sid, did, scid, tid, clid):
         """
-        This function will updates existing the schema object
+        This function will updates the existing schema object
 
          Args:
            gid: Server Group ID
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/compound_triggers/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/compound_triggers/__init__.py
index aea139ea7..2f0406365 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/compound_triggers/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/compound_triggers/__init__.py
@@ -547,7 +547,7 @@ class CompoundTriggerView(PGChildNodeView, SchemaDiffObjectCompare):
     @check_precondition
     def delete(self, gid, sid, did, scid, tid, **kwargs):
         """
-        This function will updates existing the compound trigger object
+        This function will updates the existing compound trigger object
 
          Args:
            gid: Server Group ID
@@ -618,7 +618,7 @@ class CompoundTriggerView(PGChildNodeView, SchemaDiffObjectCompare):
     @check_precondition
     def update(self, gid, sid, did, scid, tid, trid):
         """
-        This function will updates existing the compound trigger object
+        This function will updates the existing compound trigger object
 
          Args:
            gid: Server Group ID
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/__init__.py
index 6199b890f..b84d3dc88 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/__init__.py
@@ -670,7 +670,7 @@ class IndexesView(PGChildNodeView, SchemaDiffObjectCompare):
     @check_precondition
     def delete(self, gid, sid, did, scid, tid, **kwargs):
         """
-        This function will updates existing the schema object
+        This function will updates the existing schema object
 
          Args:
            gid: Server Group ID
@@ -739,7 +739,7 @@ class IndexesView(PGChildNodeView, SchemaDiffObjectCompare):
     @check_precondition
     def update(self, gid, sid, did, scid, tid, idx):
         """
-        This function will updates existing the schema object
+        This function will updates the existing schema object
 
          Args:
            gid: Server Group ID
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/__init__.py
index 92d032d17..9e53969eb 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/__init__.py
@@ -640,7 +640,7 @@ class TriggerView(PGChildNodeView, SchemaDiffObjectCompare):
     @check_precondition
     def delete(self, gid, sid, did, scid, tid, **kwargs):
         """
-        This function will updates existing the trigger object
+        This function will updates the existing trigger object
 
          Args:
            gid: Server Group ID
@@ -710,7 +710,7 @@ class TriggerView(PGChildNodeView, SchemaDiffObjectCompare):
     @check_precondition
     def update(self, gid, sid, did, scid, tid, trid):
         """
-        This function will updates existing the trigger object
+        This function will updates the existing trigger object
 
          Args:
            gid: Server Group ID
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/__init__.py
index 64f582d92..098284c7c 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/__init__.py
@@ -1075,7 +1075,7 @@ class TypeView(PGChildNodeView, DataTypeReader, SchemaDiffObjectCompare):
     @check_precondition
     def update(self, gid, sid, did, scid, tid):
         """
-        This function will updates existing the type object
+        This function will updates the existing type object
 
          Args:
            gid: Server Group ID
@@ -1138,7 +1138,7 @@ class TypeView(PGChildNodeView, DataTypeReader, SchemaDiffObjectCompare):
     @check_precondition
     def delete(self, gid, sid, did, scid, tid=None, only_sql=False):
         """
-        This function will updates existing the type object
+        This function will updates the existing type object
 
          Args:
            gid: Server Group ID
diff --git a/web/pgadmin/dashboard/static/js/Graphs.jsx b/web/pgadmin/dashboard/static/js/Graphs.jsx
index dd6b1c98a..cf54c6ea1 100644
--- a/web/pgadmin/dashboard/static/js/Graphs.jsx
+++ b/web/pgadmin/dashboard/static/js/Graphs.jsx
@@ -63,7 +63,7 @@ export function getStatsUrl(sid=-1, did=-1, chart_names=[]) {
   return base_url;
 }
 
-/* This will process incoming charts data add it the the previous charts
+/* This will process incoming charts data add it the previous charts
  * data to get the new state.
  */
 export function statsReducer(state, action) {
diff --git a/web/pgadmin/tools/sqleditor/static/js/sqleditor.js b/web/pgadmin/tools/sqleditor/static/js/sqleditor.js
index 2cddf9221..725a683db 100644
--- a/web/pgadmin/tools/sqleditor/static/js/sqleditor.js
+++ b/web/pgadmin/tools/sqleditor/static/js/sqleditor.js
@@ -1591,7 +1591,7 @@ define('tools.querytool', [
       /* history fetch fail should not affect query tool */
       });
     },
-    /* This function is responsible to create and render the the history tab. */
+    /* This function is responsible to create and render the history tab. */
     render_history_grid: function() {
       var self = this;
 
diff --git a/web/regression/feature_utils/pgadmin_page.py b/web/regression/feature_utils/pgadmin_page.py
index 06f9cfb14..aa714d423 100644
--- a/web/regression/feature_utils/pgadmin_page.py
+++ b/web/regression/feature_utils/pgadmin_page.py
@@ -716,7 +716,7 @@ class PgadminPage:
             xpath_for_refresh_btn = "//li[@class='context-menu-item']" \
                                     "/span[text()='Refresh...']"
 
-            # add code to refresh button, sometime the the collapsing button
+            # add code to refresh button, sometime the collapsing button
             #  is not visible even if there is sub node.
             functions_node_ele = self.find_by_xpath(xpath_for_functions_node)
 
diff --git a/web/regression/javascript/sqleditor/call_render_after_poll_spec.js b/web/regression/javascript/sqleditor/call_render_after_poll_spec.js
index 3dea742f8..2d7a81d81 100644
--- a/web/regression/javascript/sqleditor/call_render_after_poll_spec.js
+++ b/web/regression/javascript/sqleditor/call_render_after_poll_spec.js
@@ -49,7 +49,7 @@ describe('#callRenderAfterPoll', () => {
         };
       });
 
-      it('renders the the editor', () => {
+      it('renders the editor', () => {
         callRenderAfterPoll(sqlEditorSpy, alertify, queryResult);
 
         expect(sqlEditorSpy._render).toHaveBeenCalledWith(queryResult);
@@ -142,7 +142,7 @@ describe('#callRenderAfterPoll', () => {
         };
       });
 
-      it('renders the the editor', () => {
+      it('renders the editor', () => {
         callRenderAfterPoll(sqlEditorSpy, alertify, queryResult);
 
         expect(sqlEditorSpy._render).toHaveBeenCalledWith(queryResult);
